<?xml version="1.0" encoding="iso-8859-1" ?>
<!--
module : 
generation of a docbook file for display all plots of firtsteps.xml

original location :
++/Documentation/xmldoc/all_plots_docbook.xsl

update :
en cours de map
fplod 2006-05-17T09:59:52Z aedon.lodyc.jussieu.fr (Darwin)
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output 
 method="xml" 
 indent="yes" 
 encoding="iso-8859-1"
 omit-xml-declaration="no"
 doctype-public="-//OASIS//DTD DocBook XML V4.2//EN"
 doctype-system="http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"/>

 <xsl:template match="article"> 
  <article id="all_plots" lang="en">
  <title>All plots of SAXO demo</title>
    <articleinfo>
    <authorgroup>
      <author><firstname>Sbastien</firstname> <surname>Masson</surname> <email>smasson_at_lodyc.jussieu.fr</email></author>
      <author><firstname>Franoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_lodyc.jussieu.fr</email></author>
    </authorgroup>
    <keywordset>
      <keyword>idl</keyword>
      <keyword>SAXO</keyword>
    </keywordset>
    </articleinfo>
    <sect1>
    <title>Introduction</title>
    <para>
blabla 
    </para>
    </sect1>
    <sect1>
    <title>All plots</title>

<!-- for all ulink where url is something .png
plot it with the title of the closest ancestor which have an id attibutes
-->
<xsl:for-each select="self::node()/descendant-or-self::node()/child::ulink[contains(@url,'png')]">
  <xsl:sort order="ascending" data-type="text" select="@url"/>
  <xsl:call-template name="plot">
      <xsl:with-param name="url" select="@url"/>
      <xsl:with-param name="id" select="(ancestor-or-self::node()/@id)[last()]"/>
      <xsl:with-param name="title" select="(ancestor-or-self::node()/title)[last()]"/>
  </xsl:call-template>
</xsl:for-each>
  </sect1>
  </article>
 </xsl:template> 

    <xsl:template name="plot"> 
        <xsl:param name="url"/>  
        <xsl:param name="id"/>  
        <xsl:param name="title"/>  
        <xsl:element name="para">
        <xsl:element name="mediaobject">
            <xsl:element name="imageobject">
                <xsl:element name="imagedata">
                    <xsl:attribute name="fileref"><xsl:value-of select="$url"/></xsl:attribute>
                    <xsl:attribute name="format">PNG</xsl:attribute>
                    <xsl:attribute name="valign">top</xsl:attribute>
                </xsl:element>
            </xsl:element>
        </xsl:element>
        <xsl:element name="textobject">
            <xsl:element name="phrase">
                [plot <xsl:value-of select="substring-before($url,'?format=raw')"/>]
            </xsl:element>
        </xsl:element>
        <xsl:element name="caption">
            <xsl:element name="para">
            cf. <xsl:element name="ulink">
<!--
                    <xsl:attribute name="url">firststeps.html#<xsl:value-of select="$id"/></xsl:attribute>
-->
                    <xsl:attribute name="url">firststeps.html#<xsl:value-of select="concat($id,'?format=raw')"/></xsl:attribute>
                <xsl:value-of select="$title"/>
                </xsl:element>
                <xsl:text>in First steps with SAXO</xsl:text> <!--++ rcuprer le titre de l'article -->
            </xsl:element>
        </xsl:element>
        </xsl:element>
    </xsl:template> 

</xsl:stylesheet>
